JUCE

- Main Page
- Related Pages
- Topics
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Loading...
Searching...
No Matches
Public Member Functions | List of all members
Component::BailOutChecker Class Reference
juce_gui_basics » components

A class to keep an eye on a component and check for it being deleted. More...

`#include <juce_Component.h>`

## Public Member Functions
| BailOutChecker (Component *component)
| Creates a checker that watches one component.
bool | shouldBailOut () const noexcept
| Returns true if either of the two components have been deleted since this object was created.

## Detailed Description

A class to keep an eye on a component and check for it being deleted.

This is designed for use with the ListenerList::callChecked() methods, to allow the list iterator to stop cleanly if the component is deleted by a listener callback while the list is still being iterated.

## Constructor & Destructor Documentation

## ◆ BailOutChecker()

Component::BailOutChecker::BailOutChecker | ( | Component * | component | ) |

Creates a checker that watches one component.

## Member Function Documentation

## ◆ shouldBailOut()

bool Component::BailOutChecker::shouldBailOut | ( |  | ) | const
| noexcept

Returns true if either of the two components have been deleted since this object was created.

The documentation for this class was generated from the following file:

- juce_Component.h